Bug 587753 - subscription-manager shouldn't use an ssl peer cert on register
Summary: subscription-manager shouldn't use an ssl peer cert on register
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: alpha
: ---
Assignee: Pradeep Kilambi
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 568421
TreeView+ depends on / blocked
 
Reported: 2010-04-30 19:19 UTC by James Bowes
Modified: 2013-01-10 10:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:36:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description James Bowes 2010-04-30 19:19:37 UTC
Description of problem:

1. deploy a standalone candlepin, and configure subscription manager to use it
2. run subscription-manager-cli register
   (you now have /etc/pki/consumer/*.pem files)
3. redeploy your standalone candlepin, with FORCECERT=1
4. run subscription-manager-cli register --force
   you'll get an ssl error.

sm sees that there's a peer cert, and loads it up for use, regardless of the command running. sm should not use the cert for a register command (just like initial registration). Alternatively, sm could detect a peer verify fail, and retry without the cert.


This will happen when switching from cert-fte to standalone, too.

Comment 1 Adrian Likins 2010-07-12 19:28:37 UTC
Potential fix sent to prad/jortel.

Comment 2 Bryan Kearney 2010-08-03 20:49:41 UTC
THis is fixed with the new secure/insecure mode.

Comment 5 wes hayutin 2010-08-09 22:30:23 UTC
[root@client01-rhel6-beta2 src]# ./subscription-manager-cli register --username=testuser1 --pass=password
506d9744-cf00-4717-830e-1be2193f1733 testuser1

Redeploy

[root@client01-rhel6-beta2 src]# ./subscription-manager-cli register --username=testuser1 --pass=password --force
0c1a5575-bdea-442d-8333-3241886d7ce4 testuser1
[root@client01-rhel6-beta2 src]# 

verified

Comment 6 errata-xmlrpc 2011-05-19 13:36:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.